Show / Hide Table of Contents

# Class DictionaryConverter<TValue, TConverter>

A converter for instances of Dictionary<TKey,TValue>, specifying a value converter as a type parameter.

##### Inheritance

Object
ValueConverter<Dictionary<String, TValue>>
DictionaryConverter<TValue>
DictionaryConverter<TValue, TConverter>

##### Implements

IValueConverter

##### Inherited Members

DictionaryConverter<TValue>.BaseConverter
DictionaryConverter<TValue>.FromValue(Value, Object)
DictionaryConverter<TValue>.ToValue(Dictionary<String, TValue>, Object)
ValueConverter<Dictionary<String, TValue>>.ToValue(Dictionary<String, TValue>, Object)
ValueConverter<Dictionary<String, TValue>>.FromValue(Value, Object)
ValueConverter<Dictionary<String, TValue>>.IValueConverter.ToValue(Object, Object)
ValueConverter<Dictionary<String, TValue>>.IValueConverter.FromValue(Value, Object)
ValueConverter<Dictionary<String, TValue>>.IValueConverter.Type
Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: IPA.Config.Stores.Converters

###### Assembly: IPA.Loader.dll

##### Syntax

    public sealed class DictionaryConverter<TValue, TConverter> : DictionaryConverter<TValue>, IValueConverter where TConverter : ValueConverter<TValue>, new()

##### Type Parameters

Name | Description
--- | ---
TValue | the value type of the dictionary
TConverter | the converter type for values

### Constructors

| Improve this Doc View Source

#### DictionaryConverter()

Constructs a new IDictionaryConverter<TValue, TConverter> with a new instance of `TConverter` as the value converter.

##### Declaration

    public DictionaryConverter()

### Implements

IValueConverter

### Extension Methods

ReflectionUtil.SetField<T, U>(T, String, U)
ReflectionUtil.GetField<U, T>(T, String)
ReflectionUtil.SetProperty<T, U>(T, String, U)
ReflectionUtil.GetProperty<U, T>(T, String)
ReflectionUtil.InvokeMethod<U, T>(T, String, Object[])